Mit folgender Routine lässt sich interaktiv ein Produkt/Part aus einem Produkt auswählen.

Der Rückgabewert ist das entsprechende Dokument.


Option ExplicitSub CATMain2()
   MsgBox "The selected object is: " & GetProduct.Name
End Sub

Function GetProduct() As Variant
   Dim oSel 'As Selection
   Dim arrSelWhich(1)
   Dim Status As String

   Set oSel = CATIA.ActiveDocument.Selection
   oSel.Clear

   arrSelWhich(0) = "Part"                      'needs to be part first?!
   arrSelWhich(1) = "Product"                   'otherwise only products will be allowed

   Status = oSel.SelectElement2(arrSelWhich, "Select Part or Product", False)

   If (Status = "Normal") Then
      Set GetProduct = oSel.Item2(1).Value
   End If
   oSel.Clear

End Function

 
Zum Seitenanfang